NMIP4Config
3
LIBNM-GLIB Library

# NMIP4Config

## Synopsis

                        NMIP4Config;
    #define             NM_IP4_CONFIG_ADDRESSES
    #define             NM_IP4_CONFIG_HOSTNAME
    #define             NM_IP4_CONFIG_NAMESERVERS
    #define             NM_IP4_CONFIG_DOMAINS
    #define             NM_IP4_CONFIG_ROUTES
    #define             NM_IP4_CONFIG_WINS_SERVERS
    GObject *           nm_ip4_config_new                   (DBusGConnection *connection,
                                                             const char *object_path);
    const GSList *      nm_ip4_config_get_addresses         (NMIP4Config *config);
    const char *        nm_ip4_config_get_hostname          (NMIP4Config *config);
    const GArray *      nm_ip4_config_get_nameservers       (NMIP4Config *config);
    const GPtrArray *   nm_ip4_config_get_domains           (NMIP4Config *config);
    const GSList *      nm_ip4_config_get_routes            (NMIP4Config *config);
    const GArray *      nm_ip4_config_get_wins_servers      (NMIP4Config *config);

## Object Hierarchy

      GObject
       +----NMObject
             +----NMIP4Config

## Properties

      "addresses"                gpointer              : Read
      "domains"                  nm-string-array*      : Read
      "hostname"                 gchar*                : Read
      "nameservers"              nm-uint-array*        : Read
      "routes"                   gpointer              : Read
      "wins-servers"             nm-uint-array*        : Read

## Description

## Details

### NMIP4Config

    typedef struct _NMIP4Config NMIP4Config;

### NM_IP4_CONFIG_ADDRESSES

    #define NM_IP4_CONFIG_ADDRESSES "addresses"

### NM_IP4_CONFIG_HOSTNAME

    #define NM_IP4_CONFIG_HOSTNAME "hostname" /* DEPRECATED */

### NM_IP4_CONFIG_NAMESERVERS

    #define NM_IP4_CONFIG_NAMESERVERS "nameservers"

### NM_IP4_CONFIG_DOMAINS

    #define NM_IP4_CONFIG_DOMAINS "domains"

### NM_IP4_CONFIG_ROUTES

    #define NM_IP4_CONFIG_ROUTES "routes"

### NM_IP4_CONFIG_WINS_SERVERS

    #define NM_IP4_CONFIG_WINS_SERVERS "wins-servers"

### nm_ip4_config_new ()

    GObject *           nm_ip4_config_new                   (DBusGConnection *connection,
                                                             const char *object_path);

Creates a new NMIP4Config.

`connection` :

  the DBusGConnection

`object_path` :

  the DBus object path of the device

Returns :

  a new IP4 configuration

### nm_ip4_config_get_addresses ()

    const GSList *      nm_ip4_config_get_addresses         (NMIP4Config *config);

Gets the IP4 addresses (containing the address, prefix, and gateway).

`config` :

  a NMIP4Config

Returns :

  the GSList containing NMSettingIP4Addresses. This is the internal copy used by the configuration and must not be modified.

### nm_ip4_config_get_hostname ()

    const char *        nm_ip4_config_get_hostname          (NMIP4Config *config);

DEPRECATED. Don't use.

`config` :

  a NMIP4Config

Returns :

  NULL

### nm_ip4_config_get_nameservers ()

    const GArray *      nm_ip4_config_get_nameservers       (NMIP4Config *config);

Gets the domain name servers (DNS).

`config` :

  a NMIP4Config

Returns :

  the GArray containing `guint32`s. This is the internal copy used by the configuration and must not be modified.

### nm_ip4_config_get_domains ()

    const GPtrArray *   nm_ip4_config_get_domains           (NMIP4Config *config);

Gets the domain names.

`config` :

  a NMIP4Config

Returns :

  the GPtrArray containing domains as strings. This is the internal copy used by the configuration, and must not be modified.

### nm_ip4_config_get_routes ()

    const GSList *      nm_ip4_config_get_routes            (NMIP4Config *config);

Gets the routes.

`config` :

  a NMIP4Config

Returns :

  the GSList containing NMSettingIP4Routes. This is the internal copy used by the configuration, and must not be modified.

### nm_ip4_config_get_wins_servers ()

    const GArray *      nm_ip4_config_get_wins_servers      (NMIP4Config *config);

Gets the Windows Internet Name Service servers (WINS).

`config` :

  a NMIP4Config

Returns :

  the GArray containing `guint32`s. This is the internal copy used by the configuration and must not be modified.

## Property Details

### The `"addresses"` property

      "addresses"                gpointer              : Read

The GPtrArray containing NMSettingIP4Addresses of the configuration.

### The `"domains"` property

      "domains"                  nm-string-array*      : Read

The GPtrArray containing domain strings of the configuration.

### The `"hostname"` property

      "hostname"                 gchar*                : Read

DEPRECATED. Don't use.

Default value: NULL

### The `"nameservers"` property

      "nameservers"              nm-uint-array*        : Read

The GArray containing name servers (`guint32`es) of the configuration.

### The `"routes"` property

      "routes"                   gpointer              : Read

The GPtrArray containing NMSettingIP4Routes of the configuration.

### The `"wins-servers"` property

      "wins-servers"             nm-uint-array*        : Read

The GArray containing WINS servers (`guint32`es) of the configuration.